Package fr.gouv.vitam.processing.common.async

# Class ProcessingRetryAsyncException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.processing.common.exception.ProcessingException
fr.gouv.vitam.processing.common.async.ProcessingRetryAsyncException

All Implemented Interfaces:
  `Serializable`

public class ProcessingRetryAsyncException extends ProcessingException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessingRetryAsyncException(String message, Throwable cause, Map<AccessRequestContext,List<String>> accessRequestIdByContext)`
  `ProcessingRetryAsyncException(String message, Map<AccessRequestContext,List<String>> accessRequestIdByContext)`
  `ProcessingRetryAsyncException(Throwable cause, Map<AccessRequestContext,List<String>> accessRequestIdByContext)`
  `ProcessingRetryAsyncException(Map<AccessRequestContext,List<String>> accessRequestIdByContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<AccessRequestContext,List<String>>`
  `getAccessRequestIdByContext()`

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProcessingRetryAsyncException

    public ProcessingRetryAsyncException(Map<AccessRequestContext,List<String>> accessRequestIdByContext)

  - ### ProcessingRetryAsyncException

    public ProcessingRetryAsyncException(String message, Throwable cause, Map<AccessRequestContext,List<String>> accessRequestIdByContext)

  - ### ProcessingRetryAsyncException

    public ProcessingRetryAsyncException(String message, Map<AccessRequestContext,List<String>> accessRequestIdByContext)

  - ### ProcessingRetryAsyncException

    public ProcessingRetryAsyncException(Throwable cause, Map<AccessRequestContext,List<String>> accessRequestIdByContext)

- ## Method Details

  - ### getAccessRequestIdByContext

    public Map<AccessRequestContext,List<String>> getAccessRequestIdByContext()